Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements
Webcast-Catalyst9k
New Member

Upgrade from 2.6 to 3.1 failure

I was upgrading from LMS 2.6 to 3.1 and my Putty session timed out and I lost connection to the server, this inadvertently killed the install i was running, I have found where it died, is there anyway to restart the upgrade, anyway to recover? If I cannot continue the upgrade can I uninstall what has already been upgraded and start again?

1 ACCEPTED SOLUTION

Accepted Solutions
Cisco Employee

Re: Upgrade from 2.6 to 3.1 failure

It depends on when the upgrade died. If it died after the message saying that you cannot abort after this point, then cannot restart. You will have to uninstall everything, and reinstall from scratch. If the upgrade died prior to that, you can simply restart setup.

If you do have to reinstall, it might be good to get the clean_system tool from TAC. This will purge LMS from the system. After that, you can install LMS 3.1 from scratch, and restore your 2.6 backup.

2 REPLIES
Cisco Employee

Re: Upgrade from 2.6 to 3.1 failure

It depends on when the upgrade died. If it died after the message saying that you cannot abort after this point, then cannot restart. You will have to uninstall everything, and reinstall from scratch. If the upgrade died prior to that, you can simply restart setup.

If you do have to reinstall, it might be good to get the clean_system tool from TAC. This will purge LMS from the system. After that, you can install LMS 3.1 from scratch, and restore your 2.6 backup.

New Member

Re: Upgrade from 2.6 to 3.1 failure

I'll have to reinstall from scratch, thanks for the info...

120
Views
0
Helpful
2
Replies
CreatePlease to create content